RDKit: RDMIF::VdWaals Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
RDMIF::VdWaals Class Referenceabstract

Abstract class for calculation of Van der Waals interaction between probe and molecule at gridpoint `pt`. More...

`#include <MIFDescriptors.h>`

Inheritance diagram for RDMIF::VdWaals:

## Public Member Functions
| VdWaals ()=default
| VdWaals (const RDKit::ROMol &mol, int confId=-1, double cutoff=1.0)
| VdWaals (const VdWaals &other)=delete
VdWaals & | operator= (const VdWaals &other)=delete
| VdWaals (VdWaals &&other)=default
VdWaals & | operator= (VdWaals &&other)=default
virtual | ~VdWaals ()=default
double | operator() (double x, double y, double z, double thres) const
| returns the VdW interaction at point `pt` in the molecules field in [kJ mol^-1]

## Protected Member Functions
void | fillVectors ()
virtual double | calcEnergy (double, double, double) const =0
virtual void | fillVdwParamVectors (unsigned int atomIdx)=0

## Protected Attributes
double | d_cutoff = 1.0
unsigned int | d_nAtoms = 0
std::vector< double > | d_pos
std::vector< double > | d_R_star_ij
std::vector< double > | d_wellDepth
std::unique_ptr< RDKit::ROMol > | d_mol

## Detailed Description

Abstract class for calculation of Van der Waals interaction between probe and molecule at gridpoint `pt`.

Definition at line 297 of file MIFDescriptors.h.

## Constructor & Destructor Documentation

## ◆ VdWaals() [1/4]

RDMIF::VdWaals::VdWaals | ( |  | ) |
| default

Referenced by operator=(), operator=(), VdWaals(), and VdWaals().

## ◆ VdWaals() [2/4]

RDMIF::VdWaals::VdWaals | ( | const RDKit::ROMol & | mol,
|  | int | confId = -1,
|  | double | cutoff = 1.0 )

## ◆ VdWaals() [3/4]

RDMIF::VdWaals::VdWaals | ( | const VdWaals & | other | ) |
| delete

References VdWaals().

## ◆ VdWaals() [4/4]

RDMIF::VdWaals::VdWaals | ( | VdWaals && | other | ) |
| default

References VdWaals().

## ◆ ~VdWaals()

virtual RDMIF::VdWaals::~VdWaals | ( |  | ) |
| virtualdefault

## Member Function Documentation

## ◆ calcEnergy()

virtual double RDMIF::VdWaals::calcEnergy | ( | double | ,
|  | double | ,
|  | double | ) const
| protectedpure virtual

## ◆ fillVdwParamVectors()

virtual void RDMIF::VdWaals::fillVdwParamVectors | ( | unsigned int | atomIdx | ) |
| protectedpure virtual

## ◆ fillVectors()

void RDMIF::VdWaals::fillVectors | ( |  | ) |
| protected

## ◆ operator()()

double RDMIF::VdWaals::operator() | ( | double | x,
|  | double | y,
|  | double | z,
|  | double | thres ) const

returns the VdW interaction at point `pt` in the molecules field in [kJ mol^-1]

Parameters

  x,y,z | coordinates at which the interaction is calculated
  thres | squared max distance until interactions are calc.

Returns
  vdW interaction energy in [kJ mol^-1]

## ◆ operator=() [1/2]

VdWaals & RDMIF::VdWaals::operator= | ( | const VdWaals & | other | ) |
| delete

References VdWaals().

## ◆ operator=() [2/2]

VdWaals & RDMIF::VdWaals::operator= | ( | VdWaals && | other | ) |
| default

References VdWaals().

## Member Data Documentation

## ◆ d_cutoff

double RDMIF::VdWaals::d_cutoff = 1.0
| protected

Definition at line 321 of file MIFDescriptors.h.

## ◆ d_mol

std::unique_ptr<RDKit::ROMol> RDMIF::VdWaals::d_mol
| protected

Definition at line 326 of file MIFDescriptors.h.

## ◆ d_nAtoms

unsigned int RDMIF::VdWaals::d_nAtoms = 0
| protected

Definition at line 322 of file MIFDescriptors.h.

## ◆ d_pos

std::vector<double> RDMIF::VdWaals::d_pos
| protected

Definition at line 323 of file MIFDescriptors.h.

## ◆ d_R_star_ij

std::vector<double> RDMIF::VdWaals::d_R_star_ij
| protected

Definition at line 324 of file MIFDescriptors.h.

## ◆ d_wellDepth

std::vector<double> RDMIF::VdWaals::d_wellDepth
| protected

Definition at line 325 of file MIFDescriptors.h.

The documentation for this class was generated from the following file:

- MIFDescriptors.h